close all;

var c n w x r k y z; 
varexo eps_z; 

parameters eta beta psi delta alpha rho sigma kss nss css yss xss wss rss betatrans rhotrans deltatrans sigmatrans deltatrans alphatrans;
betatrans = sqrt(0.99/(1-0.99));
beta = betatrans^2/(1+betatrans^2);
psi = 1;
deltatrans = sqrt(0.025/(1-0.025));
delta = deltatrans^2/(1+deltatrans^2);
alphatrans = sqrt(0.36/(1-0.36));
alpha = alphatrans^2/(1+alphatrans^2);
rhotrans = sqrt(0.85/(1-0.85));
rho =  rhotrans^2/(1+rhotrans^2);
sigmatrans = 0.04;
sigma = abs(sigmatrans);
eta = ((1/beta+delta-1)/(alpha))^(1/(1-alpha));
kss = (((1-alpha)*eta^(-alpha))/psi)*(eta^(1-alpha)-delta)^(-1);
nss = eta*kss;
yss = (kss)^(alpha)*(nss)^(1-alpha);
rss = alpha*(yss/kss);
wss = (1-alpha)*(yss/nss);
css = wss/psi;
xss = delta*kss;
zss = 1;

model;
1/c = beta*(1/c(+1))*(1+r(+1)-delta);
psi*c = w;
w = (1-alpha)*(y/n);
r = alpha*(y/k(-1));
k = (1-delta)*k(-1)+x;
y = z*(k(-1))^(alpha)*(n)^(1-alpha);
c + x = y;
log(z) = rho*log(z(-1)) + eps_z;
end;

initval;
k = kss;
n = nss;
w = wss;
r = rss;
y = yss;
x = xss;
z = zss;
c = css;
end;

steady;

shocks;
var eps_z;
stderr sigma;
end;


set_dynare_seed(floor(rand*10000));
stoch_simul(periods = 20000,order=1,irf=0);
datatomfile('hansendat_simul', char('y','c','n'));